Bug 1267486 - Installation documentation - mark master as unschedulable node not possible at this stage.
Installation documentation - mark master as unschedulable node not possible a...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Documentation (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Alex Dellapenta
Bilhar
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 03:34 EDT by Trond Magnussen
Modified: 2016-05-16 10:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 10:33:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Magnussen 2015-09-30 03:34:17 EDT
Description of problem:
https://docs.openshift.org/latest/install_config/install/advanced_install.html#configuring-ansible

“Before running the Ansible installer, any hosts you intend to designate as masters during the installation process should also be configured as unschedulable nodes, in order to configure the masters as part of the OpenShift SDN.”

Comment: I think this is not needed, as the link “unschedulable” goes to this page https://docs.openshift.org/latest/admin_guide/manage_nodes.html#marking-nodes-as-unschedulable-or-schedulable which describe to use “oadm” command.   
This command is not found at this stage of the installation, and I have heard that the Ansible installation make node “unschedulable” as long as it is marked as “master” and not “node” in /etc/ansible/hosts    Is that correct ? 


Version-Release number of selected component (if applicable):


How reproducible:
Install Openshift exactly as the documentation describes ... :) 
(OS: CentOS 7.1)

Steps to Reproduce:
1.
2.
3.

Actual results:
oadm  : command not found

Expected results:
I think this step is not needed. 

Additional info:
Comment 2 Alex Dellapenta 2015-10-16 15:16:07 EDT
The way it's worded, it makes it sound like it's a task you need to perform, however the installation process takes care of it for you. It's still worth noting what is taking place, but it should be reworded to make things more clear.
Comment 4 Alex Dellapenta 2015-10-16 15:22:56 EDT
Duplicate GH Issue here: https://github.com/openshift/openshift-docs/issues/1017
Comment 6 Alex Dellapenta 2016-05-16 10:33:39 EDT
The Quick Installation topic now has the following Note admonition to explain what automatically happens for masters:

https://docs.openshift.com/enterprise/latest/install_config/install/quick_install.html#quick-before-you-begin

"By default, any hosts you designate as masters during the installation process are automatically also configured as nodes so that the masters are configured as part of the OpenShift SDN. The node component on the masters, however, are marked unscheduable, which blocks pods from being scheduled on it. After the installation, you can mark them schedulable if you want."

And the Advanced Installation topic now has the following subsection under "Configuring Ansible" to make it more clear how you can control this at installation time:

https://docs.openshift.com/enterprise/latest/install_config/install/advanced_install.html#marking-masters-as-unschedulable-nodes

Note You need to log in before you can comment on or make changes to this bug.